// Facet item component displaying text and count

<template>
  <button
    :title="tooltip"
    >
      <span ref="facetBtn" class="text-truncate">{{ title }}</span>
      <span class="facet-count badge">{{ count }}</span>
  </button>
</template>

<script>

export default {
  name: 'DatasetFacetsItem',
  data() {
    return {
      tooltip: '',
    };
  },
  props: {
    title: {
      type: String,
      default: '',
    },
    count: {
      type: Number,
      default: 0,
    },
  },
  mounted() {
    // Sets tooltip text to title when title itself is rendered truncated
    this.tooltip = this.$refs.facetBtn.offsetWidth < this.$refs.facetBtn.scrollWidth
      ? this.title
      : '';
  },
};
</script>

<style>

</style>
